api reference manual
====================

Browse the various function and classes :doc:`Sol<../index>` utilizes to make your life easier when working with Lua.


.. toctree::
   :caption: Sol API
   :name: apitoc
   :maxdepth: 2

   state
   table
   proxy
   containers
   as_table
   usertype
   simple_usertype
   usertype_memory
   unique_usertype_traits
   tie
   function
   protected_function
   coroutine
   error
   object
   userdata
   reference
   thread
   stack_reference
   make_reference
   optional
   this_state
   variadic_args
   as_args
   overload
   property
   var
   protect
   readonly
   as_function
   c_call
   resolve
   stack
   user
   compatibility
   types
   metatable_key
